package com.tangguo.quartz.task;

import com.tangguo.system.mapper.SysDeptMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 增量同步企微门户部门到本地
 *
 * @author 谈笑
 * @createTime 2025-09-08 14:54:30 星期一
 */
@Slf4j
@Component
public class SyncQwmhSysDeptToLocalTask {

	@Autowired
	private SysDeptMapper sysDeptMapper;


	public void run() {
		log.info("=> 开始增量同步企微门户部门到本地");
		int records = this.sysDeptMapper.syncQwmhSysDeptToLocal();
		log.info("=> 增量同步企微门户部门到本地完毕，同步记录条数：{}", records);
	}

}
